Package net.shibboleth.idp.saml.nameid

# Interface NameIdentifierDecoder

All Known Implementing Classes:
  `CryptoTransientNameIdentifierDecoder`, `TransformingNameIdentifierDecoder`, `TransientNameIdentifierDecoder`

public interface NameIdentifierDecoder
Interface for converting a `NameIdentifier` back into a principal name.

## Method Summary

Modifier and Type
Method
Description
`String`
`decode(SubjectCanonicalizationContext c14nContext, NameIdentifier nameID)`
Decode the provided `NameIdentifier`.

## Method Details

### decode

@Nullable String decode(@Nonnull SubjectCanonicalizationContext c14nContext, @Nonnull NameIdentifier nameID) throws NameDecoderException
Decode the provided `NameIdentifier`.

If the object is incompatible with the decoder in some way, a null is returned.

Parameters:
  `c14nContext` - the active c14n context
  `nameID` - the object to decode
Returns:
  the principal decoded from the value, or null
Throws:
  `NameDecoderException` - if an error occurred during translation